Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 88)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 89)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 17;
+        public static int s_SystemVersion = 19;
 
         /// <summary>
         /// コピー・環境バージョン
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 88)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 89)
@@ -80,7 +80,8 @@
             CostomerRegistList = 33,            // 33:発注者登録申請一覧
             CostomerRegist = 34,                // 34:発注者登録申請
             SubConstrRegistList = 35,           // 35:協力会社登録申請一覧
-            SubConstrRegist = 36                // 36:協力会社登録申請
+            SubConstrRegist = 36,               // 36:協力会社登録申請
+            PriceOfBudget = 37,                 // 37:台帳状況確認画面
         }
         #endregion
 
@@ -177,11 +178,12 @@
                                                                                 { (int)ProcessExecuteNo.RequestSummaryList,     "請求まとめ－入力"},
                                                                                 { (int)ProcessExecuteNo.PaymentConfirmation,    "入金確認－入力"},
                                                                                 { (int)ProcessExecuteNo.RequestInput,           "請求入力－入力"},
-                                                                                { (int)ProcessExecuteNo.RequestPrint,           "請求書発行－印刷"},
+                                                                                { (int)ProcessExecuteNo.RequestPrint,           "請求書－印刷"},
                                                                                 { (int)ProcessExecuteNo.CostomerRegistList,     "発注者登録申請一覧－表示"},
                                                                                 { (int)ProcessExecuteNo.CostomerRegist,         "発注者登録申請－入力"},
                                                                                 { (int)ProcessExecuteNo.SubConstrRegistList,    "協力会社登録申請一覧－表示"},
-                                                                                { (int)ProcessExecuteNo.SubConstrRegist,        "協力会社登録申請－入力"}
+                                                                                { (int)ProcessExecuteNo.SubConstrRegist,        "協力会社登録申請－入力"},
+                                                                                { (int)ProcessExecuteNo.PriceOfBudget,          "工事台帳状態確認－表示"},
         };
 
         #endregion
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsSecurityPermission.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsSecurityPermission.cs	(revision 88)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsSecurityPermission.cs	(revision 89)
@@ -696,7 +696,7 @@
                 {
                     bRet = GetExecutePermission(CommonMotions.LoginUserData.PersonCode, ExecCode, ref Editflg);
                 }
-                if (!bRet) Debug.Print("");
+
                 return bRet;
             }
             catch (Exception ex)
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 88)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 89)
@@ -36,6 +36,11 @@
         /// 非受注へ移す期間（受注できずに見積提出日より以下の日数を過ぎれば非受注へ移動）
         /// </summary>
         private const int s_NonOrderDay = 93;
+
+        /// <summary>
+        /// 非受注時メッセージ
+        /// </summary>
+        private const string s_NonOrderComment = "受注できずに見積提出日より{0}日を過ぎましたので非受注とします。";
         #endregion
 
         #region 変数
@@ -307,6 +312,7 @@
                                }
                             }
                         }
+                        if (!procflg) break;
                     }
                     if (!procflg) break;
                 }
@@ -592,6 +598,7 @@
         private bool ChangeNonOrdersData()
         {
             IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            IOConstructionBaseInfoDetail DetailDB = new IOConstructionBaseInfoDetail();
             try
             {
                 int iCode1 = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
@@ -599,35 +606,76 @@
                 int iCode3 = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("見積提出")).Key;
 
                 // 対象データが存在するかを確認する
-                string strSQL = "SELECT COUNT(*) FROM CONSTRUCTIONBASEINFO WHERE TRUNC(ESTIMATESSUBMITTEDDATE) != TO_DATE('0001/01/01','YYYY/MM/DD')";
-                strSQL += string.Format(" AND TRUNC(ESTIMATESSUBMITTEDDATE + {0})", s_NonOrderDay);
-                strSQL += string.Format(" < TO_DATE('{0}','YYYY/MM/DD')", DateTime.Now.ToShortDateString());
-                strSQL += string.Format(" AND CONSTRUCTIONSTATUSFLG IN({0}, {1})", iCode2, iCode3);
-                strSQL += string.Format(" AND ESTIMATETYPE IN ({0}, {1})", (int)CommonDefine.BaseInfoEstimateType.Normal, (int)CommonDefine.BaseInfoEstimateType.GetBudget);
+                string strSQL = "SELECT A.CONSTRUCTIONCODE, B.DETAILSTRING FROM CONSTRUCTIONBASEINFO A";
+                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFODETAIL B ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND B.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.OrdersDecisionComment);
+                
+                string strWHERE = " WHERE TRUNC(A.ESTIMATESSUBMITTEDDATE) != TO_DATE('0001/01/01','YYYY/MM/DD')";
+                strWHERE += string.Format(" AND TRUNC(A.ESTIMATESSUBMITTEDDATE + {0})", s_NonOrderDay);
+                strWHERE += string.Format(" < TO_DATE('{0}','YYYY/MM/DD')", DateTime.Now.ToShortDateString());
+                strWHERE += string.Format(" AND A.CONSTRUCTIONSTATUSFLG IN({0}, {1})", iCode2, iCode3);
+                strWHERE += string.Format(" AND A.ESTIMATETYPE IN ({0}, {1})", (int)CommonDefine.BaseInfoEstimateType.Normal, (int)CommonDefine.BaseInfoEstimateType.GetBudget);
+                strSQL += strWHERE;
                 ArrayList arList = new ArrayList();
                 if (!BaseDB.ExecuteReader(strSQL, ref arList))
                 {
-                    logger.ErrorFormat("工事基本情報更新エラー　非受注案件移行処理失敗：{0}：{1}", CommonMotions.GetMethodName(), strSQL);
+                    logger.ErrorFormat("工事基本情報読込エラー　非受注案件移行処理失敗：{0}：{1}", CommonMotions.GetMethodName(), strSQL);
                     return false;
                 }
-                object[] wrkcount = (object[])arList[0];
-                if (Common.CommonMotions.cnvInt(wrkcount[0]) == 0) return true;
+                // ----- 対象データが存在しなければ抜ける
+                if (arList.Count == 0) return true;
 
-                // 対象データが存在すれば更新する
+                // ----- 対象データが存在すれば更新する
+                BaseDB.connect(); BaseDB.beginTran();
+                DetailDB.connect(); DetailDB.beginTran();
+
+                // 工事基本情報データ
                 strSQL = string.Format("UPDATE CONSTRUCTIONBASEINFO SET CONSTRUCTIONSTATUSFLG = {0},", iCode1);
                 strSQL += string.Format(" NONORDERDATE = TO_DATE('{0}','YYYY/MM/DD')", DateTime.Today.ToShortDateString());
-                strSQL += " WHERE CONSTRUCTIONCODE IN";
-                strSQL += " (SELECT CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO WHERE TRUNC(ESTIMATESSUBMITTEDDATE) != TO_DATE('0001/01/01','YYYY/MM/DD')";
-                strSQL += string.Format(" AND TRUNC(ESTIMATESSUBMITTEDDATE + {0})", s_NonOrderDay);
-                strSQL += string.Format(" < TO_DATE('{0}','YYYY/MM/DD')", DateTime.Now.ToShortDateString());
-                strSQL += string.Format(" AND CONSTRUCTIONSTATUSFLG IN({0}, {1})", iCode2, iCode3);
-                strSQL += string.Format(" AND ESTIMATETYPE IN ({0}, {1}))", (int)CommonDefine.BaseInfoEstimateType.Normal, (int)CommonDefine.BaseInfoEstimateType.GetBudget);
-                if (!BaseDB.ExecuteNonQuery(strSQL))
+                strSQL += string.Format(" WHERE CONSTRUCTIONCODE IN (SELECT A.CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO A {0})", strWHERE);
+                if (!BaseDB.ExecuteNonQuery(strSQL, false))
                 {
+                    BaseDB.rollback();
                     logger.ErrorFormat("工事基本情報更新エラー　非受注案件移行処理失敗：{0}：{1}", CommonMotions.GetMethodName(), strSQL);
                     return false;
                 }
 
+                // 工事基本情報明細データ
+                string strMsg = string.Format(s_NonOrderComment, s_NonOrderDay);
+                string strOrgMsg = string.Empty;
+                foreach (object[] objRec in arList)
+                {
+                    strOrgMsg = string.Empty;
+                    strOrgMsg = CommonMotions.cnvString(objRec[1]);
+                    if (strOrgMsg.Length != 0)
+                    {
+                        strOrgMsg += "\n";
+                        strOrgMsg += strMsg;
+                        if (strOrgMsg.Length > 120) strOrgMsg = strOrgMsg.Substring(0, 120);
+                        if (!DetailDB.UpdateFeild(CommonMotions.cnvInt(objRec[0]),
+                                                    (int)IOConstructionBaseInfoDetail.TableColumn.DETAIL_STRING,
+                                                    strOrgMsg,
+                                                    false,
+                                                    (int)ConstructionBaseInfoDetail.DetailDataNo.OrdersDecisionComment))
+                        {
+                            BaseDB.rollback();
+                            DetailDB.rollback();
+                            logger.ErrorFormat("工事基本情報明細更新エラー　非受注案件移行処理失敗：{0}：{1}", CommonMotions.GetMethodName(), strSQL);
+                            return false;
+                        }
+                    }
+                    else
+                    {
+                        if (!CreateBaseInfoDetail(DetailDB, CommonMotions.cnvInt(objRec[0]), strMsg))
+                        {
+                            BaseDB.rollback();
+                            DetailDB.rollback();
+                            logger.ErrorFormat("工事基本情報明細作成エラー　非受注案件移行処理失敗：{0}：{1}", CommonMotions.GetMethodName(), strSQL);
+                            return false;
+                        }
+                    }
+                }
+
                 return true;
             }
             catch (Exception ex)
@@ -637,11 +685,40 @@
             }
             finally
             {
+                BaseDB.commit();
+                DetailDB.commit();
                 BaseDB.close(); BaseDB = null;
+                DetailDB.close(); DetailDB = null;
             }
         }
         #endregion
 
+        #region 工事基本情報明細作成（受注決定申送りコメント）
+        /// <summary>
+        /// 工事基本情報明細作成（受注決定申送りコメント）
+        /// </summary>
+        /// <returns></returns>
+        private bool CreateBaseInfoDetail(IOConstructionBaseInfoDetail DetailDB, int ConstrCode, string strMsg)
+        {
+            try
+            {
+                ConstructionBaseInfoDetail work = new ConstructionBaseInfoDetail();
+                work.ConstructionCode = ConstrCode;
+                work.DetailNo = (int)ConstructionBaseInfoDetail.DetailDataNo.OrdersDecisionComment;
+                work.DetailString = strMsg;
+
+                if (!DetailDB.InsertAction(work, false)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         #region 工事詳細台帳の給与を加算する
         /// <summary>
         /// 工事詳細台帳の給与を加算する
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs	(revision 88)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs	(revision 89)
@@ -497,8 +497,8 @@
                 wrk.GrossProfit = double.Parse(objwrk[(int)TableColumn.GrossProfit].ToString());                   // 粗利
                 wrk.Allowance = double.Parse(objwrk[(int)TableColumn.Allowance].ToString());                       // 給与
                 wrk.NetProfit = double.Parse(objwrk[(int)TableColumn.NetProfit].ToString());                       // 純利益
-                wrk.ComplateFlg = double.Parse(objwrk[(int)TableColumn.ComplateFlg].ToString());                   // 入力完了フラグ
-                wrk.IntegrationFlg = int.Parse(objwrk[(int)TableColumn.IntegrationFlg].ToString());                // 受注金額積算フラグ
+                wrk.ComplateFlg = int.Parse(objwrk[(int)TableColumn.ComplateFlg].ToString());                       // 入力完了フラグ
+                wrk.IntegrationFlg = int.Parse(objwrk[(int)TableColumn.IntegrationFlg].ToString());                 // 受注金額積算フラグ
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttend.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttend.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttend.cs	(revision 89)
@@ -0,0 +1,377 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using Oracle.ManagedDataAccess.Client;
+
+using ProcessManagement.DB.Oracle;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 発注者打ち合わせ議事録データアクセス（出席者）
+    /// </summary>
+    public class IOProceedingsDataAttend : OracleProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// データフィールド並び
+        /// </summary>
+        public enum TableColumn
+        {
+            /// <summary>
+            /// 工事番号
+            /// </summary>
+            ConstructionCode,
+            /// <summary>
+            /// 議事録作成日
+            /// </summary>
+            ProceedingsDataDate,
+            /// <summary>
+            /// 会議時間開始
+            /// </summary>
+            StartMeetingTime,
+            /// <summary>
+            /// データ行番号
+            /// </summary>
+            SeqNo,
+            /// <summary>
+            /// 出席者所属
+            /// </summary>
+            Department,
+            /// <summary>
+            /// 出席者氏名
+            /// </summary>
+            AttendName,
+            /// <summary>
+            /// 登録年月日
+            /// </summary>
+            EntryDate,
+            /// <summary>
+            /// 更新年月日
+            /// </summary>
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOProceedingsDataAttend()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+
+            strcmd += " ConstructionCode";                                  // 工事番号
+            strcmd += " ,TO_CHAR(ProceedingsDataDate, 'YYYY/MM/DD')";       // 議事録作成日
+            strcmd += " ,StartMeetingTime";                                 // 会議時間開始
+            strcmd += " ,SeqNo";                                            // データ行番号
+            strcmd += " ,Department";                                       // 出席者所属
+            strcmd += " ,AttendName";                                       // 出席者氏名
+            strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";      // 登録年月日
+            strcmd += ", TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";     // 更新年月日
+            strcmd += " FROM ProceedingsDataAttend";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 複数読込み処理
+        public bool SelectAction(string AddSQLString, ref List<ProceedingsDataAttend> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    ProceedingsDataAttend work = new ProceedingsDataAttend();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件読込み処理
+        public bool SelectAction(string AddSQLString, ref ProceedingsDataAttend data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件追加処理
+        /// <summary>
+        /// 担当者毎経費データ追加
+        /// </summary>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(ProceedingsDataAttend work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO ProceedingsDataAttend";
+
+                strcmd += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
+
+                strcmd += string.Format(" {0}", work.ConstructionCode);                     // 工事番号
+                
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')"
+                                            , work.ProceedingsDataDate.ToShortDateString());// 議事録作成日
+
+                strcmd += string.Format(", {0}", work.StartMeetingTime);                    // 会議時間開始
+                strcmd += string.Format(", {0}", work.SeqNo);                               // データ行番号
+
+                strcmd += string.Format(",'{0}'", work.Department);                         // 出席者所属
+                strcmd += string.Format(",'{0}'", work.AttendName);                         // 出席者氏名
+
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 複数追加処理
+        public bool InsertAction(List<ProceedingsDataAttend> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (ProceedingsDataAttend work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 更新処理
+        /// <summary>
+        /// 担当者毎経費データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, ProceedingsDataAttend data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE ProceedingsDataAttend";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
+                
+                strcmd += string.Format(",ProceedingsDataDate = TO_DATE('{0}','YYYY/MM/DD')"
+                                        , data.ProceedingsDataDate.ToShortDateString());        // 議事録作成日
+
+                strcmd += string.Format(",StartMeetingTime = {0}", data.StartMeetingTime);      // 会議時間開始
+                strcmd += string.Format(",SeqNo = {0}", data.SeqNo);                            // データ行番号
+
+                strcmd += string.Format(",Department = '{0}'", data.Department);                // 出席者所属
+                strcmd += string.Format(",AttendName = '{0}'", data.AttendName);                // 出席者氏名
+
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 削除処理
+        /// <summary>
+        /// 担当者毎経費データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM ProceedingsDataAttend", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データセット処理
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref ProceedingsDataAttend wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.ProceedingsDataDate = DateTime.Parse(objwrk[(int)TableColumn.ProceedingsDataDate].ToString());       // 議事録作成日
+                wrk.StartMeetingTime = int.Parse(objwrk[(int)TableColumn.StartMeetingTime].ToString());      // 会議時間開始
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                            // データ行番号
+
+                wrk.Department = objwrk[(int)TableColumn.Department].ToString();                             // 出席者所属
+                wrk.AttendName = objwrk[(int)TableColumn.AttendName].ToString();                             // 出席者氏名
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(2), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 検索文字列作成処理
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ActionDate"></param>
+        /// <param name="DataType"></param>
+        /// <param name="DataAddCount"></param>
+        /// <returns></returns>
+        public string CreatePrimarykeyString(int ConstructionCode, DateTime ProceedingsDataDate, int StartMeetingTime = 0, int SeqNo = 0)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" WHERE ConstructionCode = {0}", ConstructionCode);
+                if (ProceedingsDataDate != DateTime.MinValue)
+                    strWork += string.Format(" AND ProceedingsDataDate = TO_DATE('{0}','YYYY/MM/DD')", ProceedingsDataDate.ToShortDateString());
+                if (StartMeetingTime != 0)
+                    strWork += string.Format(" AND StartMeetingTime = {0}", StartMeetingTime);
+                if (SeqNo != 0)
+                    strWork += string.Format(" AND SeqNo = {0}", SeqNo);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedger.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedger.cs	(revision 88)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedger.cs	(revision 89)
@@ -30,7 +30,7 @@
         private double      m_GrossProfit = 0;                          // 粗利
         private double      m_Allowance = 0;                            // 給与
         private double      m_NetProfit = 0;                            // 純利益
-        private double      m_ComplateFlg = 0;                          // 入力完了フラグ
+        private int         m_ComplateFlg = 0;                          // 入力完了フラグ
         private int         m_IntegrationFlg = 0;                       // 受注金額積算フラグ
 
         private DateTime m_EntryDate = DateTime.Now;                    // 登録日付
@@ -173,7 +173,7 @@
         /// <summary>
         /// 入力完了フラグ
         /// </summary>
-        public double ComplateFlg
+        public int ComplateFlg
         {
             get { return m_ComplateFlg; }
             set { m_ComplateFlg = value; }
